Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class CompoundRootAccessor

    java.lang.Object
      com.opensymphony.xwork2.util.CompoundRootAccessor

All Implemented Interfaces:
  ognl.ClassResolver, ognl.MethodAccessor, ognl.PropertyAccessor

    public class CompoundRootAccessor

extends Object
implements ognl.PropertyAccessor, ognl.MethodAccessor, ognl.ClassResolver

A stack that is able to call methods on objects in the stack.

Version:
  $Revision: 1194 $
Author:
  $Author: mrdon $, Rainer Hermanns

Nested Class Summary
`(package private) static class` | `CompoundRootAccessor.MethodCall`

Field Summary
`private static Map` | `invalidMethods`
`private static Log` | `log`

Constructor Summary
`CompoundRootAccessor()`

Method Summary
`Object` | `callMethod(Map context, Object target, String name, Object[] objects)`
`Object` | `callStaticMethod(Map transientVars, Class aClass, String s, Object[] objects)`
`Class` | `classForName(String className, Map context)`
`private Class[]` | `getArgTypes(Object[] args)`
`Object` | `getProperty(Map context, Object target, Object name)`
`void` | `setProperty(Map context, Object target, Object name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final Log log

### invalidMethods

    private static Map invalidMethods

Constructor Detail

### CompoundRootAccessor

    public CompoundRootAccessor()

Method Detail

### setProperty

    public void setProperty(Map context,
                            Object target,
                            Object name,
                            Object value)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Throws:
    `ognl.OgnlException`

### getProperty

    public Object getProperty(Map context,
                              Object target,
                              Object name)
                       throws ognl.OgnlException

  Specified by:
    `getProperty` in interface `ognl.PropertyAccessor`
  Throws:
    `ognl.OgnlException`

### callMethod

    public Object callMethod(Map context,
                             Object target,
                             String name,
                             Object[] objects)
                      throws ognl.MethodFailedException

  Specified by:
    `callMethod` in interface `ognl.MethodAccessor`
  Throws:
    `ognl.MethodFailedException`

### callStaticMethod

    public Object callStaticMethod(Map transientVars,
                                   Class aClass,
                                   String s,
                                   Object[] objects)
                            throws ognl.MethodFailedException

  Specified by:
    `callStaticMethod` in interface `ognl.MethodAccessor`
  Throws:
    `ognl.MethodFailedException`

### classForName

    public Class classForName(String className,
                              Map context)
                       throws ClassNotFoundException

  Specified by:
    `classForName` in interface `ognl.ClassResolver`
  Throws:
    `ClassNotFoundException`

### getArgTypes

    private Class[] getArgTypes(Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.